Retrieve a test session result
Retrieves detailed data for a single result within a test session, including check-type details and uploaded asset references when available.
Authorizations
The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure!
Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID.
For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"
Headers
Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general
Path Parameters
Test session ID.
Test session result ID.
Response
Successful
AGENTIC, API, BROWSER, HEARTBEAT, ICMP, MULTI_STEP, TCP, PLAYWRIGHT, URL, DNS, SSL, GRPC, TRACEROUTE IDs of the test-session error groups associated with this result.
RUNNING, FAILED, PASSED, CANCELLED Alias of testSessionResultId for check-result detail response parity.
x >= 0FINAL, ATTEMPT, PENDING Time the check spent producing its result, in milliseconds. For protocol checks this is the measured operation time (a subset of the run): request time for API and URL checks, connection time for TCP, resolution time for DNS, average latency for ICMP and TRACEROUTE, request timing for GRPC, and TLS handshake time for SSL. For browser, multi-step, Playwright and agentic checks it is the run wall-clock duration. Null until the check has finished. For the total wall-clock time a check run took, use stoppedAt - startedAt.
When the check run started. Null until the check has started.
When the check run finished. Subtract startedAt for the total wall-clock duration of the run. Null until the check has finished.